Redmine - Defect #1826

back_url entry becomes urlencoded
Status: Closed Start date: 2008-08-28
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.8

Resolution: Fixed Affected version:

Description

| just updated my test install to the latest SVN version and noticed that back_url containd %2fredmine%2f instead of /redmine/. | had
also done some apache configuration changes so I'm not sure if this was due to the Redmine update or my changes. Anyhow, | did
verify that if back_url gets urlencoded, the call to redirect_to is going to result in getting directed to an invalid URL.

I'm not sure of the 'right' way to handle this -- | believe you need to either make sure it does not become urlencoded in the first place,
or at least make sure the redirect_to call urldecodes it first.

On my test install | did a quick hack to add in a CGl::unescape() call inside the redirect_to call and it does work, but I'm not sure if
that is the "best" way or not. I'll leave that decision to the people in charge. :)

History

#1 - 2008-09-21 14:43 - Jean-Philippe Lang
- Status changed from New to Resolved
- Target version set to 0.8

- Resolution set to Fixed

| could not reproduce this problem. What's your Rails version and browser?
Anyway, I've added a call to CGl.unescape in ApplicationController#redirect_back_or_default that should solve this problem (r1893).

#2 - 2008-09-23 19:12 - Robert Chady

I'm using Rails 2.1.0 and Firefox 3.0.1. This behavior did not show up until | had reconfigured apache to use a <Location> block for redmine rewriting
it to a redmine_cluster w/mongrel_cluster. Everything worked as expected, other than the back_url suddenly getting urlencoded like | mentioned.

Having run this with my changes, which are basically the same that you did, for a couple weeks now, everything looks good now.

Thanks!

#3 - 2008-10-18 12:38 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Thanks for the feedback.
